## CartoonStyleSpec

A visualization of protein or nucleic acid secondary structure. Applying this to other molecules will not show anything.
In nucleic acids, the base cylinders obtain their color from the atom to which the cylinder is drawn, which is 'N1' for purines (resn: 'A', 'G', 'DA', 'DG') and
'N3' for pyrimidines (resn: 'C', 'U', 'DC', 'DT').
The different nucleobases can therefore be distinguished as by setting the colors
of each of these atoms. The backbone color is set from the 'P' atoms ('O5' for the 5' terminus).

View Source glcartoon.ts, line 1032

### Example

    $3Dmol.download("pdb:4ZD3",viewer,{},function(){
                      viewer.setBackgroundColor(0xffffffff);
                      viewer.setViewStyle({style:"outline"});
                      viewer.setStyle({},{cartoon:{}});
                      viewer.render();
                  });

# Members

Type: `boolean`

#### # arrows Optional

whether to add arrows showing beta-sheet
directionality; does not apply to trace or ribbon

View Source glcartoon.ts, line 1069

Type: `ColorSpec`

#### # color Optional

strand color, may specify as 'spectrum' which will apply reversed gradient based on residue number

View Source glcartoon.ts, line 1053

Type: `boolean`

#### # hidden Optional

do not show

View Source glcartoon.ts, line 1048

Type: `number`

#### # opacity Optional

set opacity from 0-1; transparency is set per-chain
with a warning outputted in the event of ambiguity

View Source glcartoon.ts, line 1092

Type: `boolean`

#### # ribbon Optional

whether to use constant strand width, disregarding
secondary structure; use thickness to adjust radius

View Source glcartoon.ts, line 1063

Type: `string`

#### # style Optional

style of cartoon rendering (trace, oval, rectangle (default), parabola, edged)

View Source glcartoon.ts, line 1058

Type: `number`

#### # thickness Optional

cartoon strand thickness, default is 0.4

View Source glcartoon.ts, line 1081

Type: `boolean`

#### # tubes Optional

whether to display alpha helices as simple cylinders;
does not apply to trace

View Source glcartoon.ts, line 1075

Type: `number`

#### # width Optional

cartoon strand width, default is secondary
structure-dependent; does not apply to trace or ribbon

View Source glcartoon.ts, line 1086